#include "zonefile_cod2_360.h"

#include "xdatastream.h"
#include <QFile>
#include <QDebug>

ZoneFile_COD2_360::ZoneFile_COD2_360()
    : ZoneFile()
{
    pSetType(23, ASSET_TYPE_RAWFILE);
    pSetType(6, ASSET_TYPE_D3DBSP);
    pSetType(2, ASSET_TYPE_MATERIAL);
    pSetType(4, ASSET_TYPE_SHOCK_FILE);

    //pSetType(-1, ASSET_TYPE_FX);
    //pSetType(-1, ASSET_TYPE_SOUND);
    //pSetType(-1, ASSET_TYPE_XANIMPARTS);
    //pSetType(-1, ASSET_TYPE_COLLISION_MAP);
    //pSetType(-1, ASSET_TYPE_STRINGTABLE);
    //pSetType(-1, ASSET_TYPE_MENU);
    //pSetType(-1, ASSET_TYPE_TECHNIQUE_SET);
    //pSetType(-1, ASSET_TYPE_LOCALIZE_ENTRY);
    //pSetType(-1, ASSET_TYPE_GFX_MAP);
    //pSetType(-1, ASSET_TYPE_LIGHT_DEF);
    //pSetType(-1, ASSET_TYPE_FONT);
    //pSetType(-1, ASSET_TYPE_XMODEL);
    //pSetType(-1, ASSET_TYPE_GAME_MAP_SP);
    //pSetType(-1, ASSET_TYPE_COL_MAP_SP);
    //pSetType(-1, ASSET_TYPE_PHYSPRESET);
    //pSetType(-1, ASSET_TYPE_DESTRUCTIBLE);
}

ZoneFile_COD2_360::~ZoneFile_COD2_360()
{
    
}

bool ZoneFile_COD2_360::Load(const QByteArray aFileData) {
    return true;
}
